Bug 1605779

Summary: python-msgpack: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Mohan Boddu <mboddu>
Component: python-msgpackAssignee: Fabian Affolter <mail>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: andrew, denis, fschwarz, ktdreyer, mail, metherid, pj.pandit
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-msgpack-0.5.6-4.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-16 08:06:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1585626, 1602938    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Mohan Boddu 2018-07-20 16:57:17 UTC
python-msgpack failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28222888


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-msgpack at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-msgpack will be orphaned. Before branching of Fedora 30,
python-msgpack will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 16:57:24 UTC
Created attachment 1466447 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 16:57:28 UTC
Created attachment 1466448 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 16:57:33 UTC
Created attachment 1466449 [details]
state.log

Comment 4 Felix Schwarz 2018-08-10 20:59:55 UTC
This package requires gcc-c++ instead of plain gcc. I created a pull request ( https://src.fedoraproject.org/rpms/python-msgpack/pull-request/2 ) but I don't have commit privileges.

Comment 5 Jan Kurik 2018-08-14 09:10:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Fedora Update System 2018-08-14 13:52:45 UTC
python-msgpack-0.5.6-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3640d41a38

Comment 7 Fedora Update System 2018-08-14 22:42:42 UTC
python-msgpack-0.5.6-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3640d41a38

Comment 8 Fedora Update System 2018-08-16 08:06:54 UTC
python-msgpack-0.5.6-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.